## org.eclipse.uml2.codegen.ecore.genmodel
Enum GenCacheAdapterScope

    java.lang.Object
      java.lang.Enum<GenCacheAdapterScope>
          org.eclipse.uml2.codegen.ecore.genmodel.GenCacheAdapterScope

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GenCacheAdapterScope>, org.eclipse.emf.common.util.Enumerator

    public enum GenCacheAdapterScope

extends java.lang.Enum<GenCacheAdapterScope>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Gen Cache Adapter Scope', and utility methods for working with them.

See Also:
  `GenModelPackage.getGenCacheAdapterScope()`

Enum Constant Summary
`GLOBAL_LITERAL` The 'Global' literal object
`NONE_LITERAL` The 'None' literal object
`RESOURCE_LITERAL` The 'Resource' literal object

Field Summary
`static int` `GLOBAL` The 'Global' literal value
`static int` `NONE` The 'None' literal value
`static int` `RESOURCE` The 'Resource' literal value
`static java.util.List<GenCacheAdapterScope>` `VALUES` A public read-only list of all the 'Gen Cache Adapter Scope' enumerators

Method Summary
`static GenCacheAdapterScope` `get(int value)` Returns the 'Gen Cache Adapter Scope' literal with the specified integer value
`static GenCacheAdapterScope` `get(java.lang.String literal)` Returns the 'Gen Cache Adapter Scope' literal with the specified literal value
`static GenCacheAdapterScope` `getByName(java.lang.String name)` Returns the 'Gen Cache Adapter Scope' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static GenCacheAdapterScope` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GenCacheAdapterScope[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE_LITERAL

    public static final GenCacheAdapterScope NONE_LITERAL

  The 'None' literal object.

  See Also:
    `NONE`

### GLOBAL_LITERAL

    public static final GenCacheAdapterScope GLOBAL_LITERAL

  The 'Global' literal object.

  See Also:
    `GLOBAL`

### RESOURCE_LITERAL

    public static final GenCacheAdapterScope RESOURCE_LITERAL

  The 'Resource' literal object.

  See Also:
    `RESOURCE`

Field Detail

### NONE

    public static final int NONE

  The 'None' literal value.

  If the meaning of 'None' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE_LITERAL`, Constant Field Values

### GLOBAL

    public static final int GLOBAL

  The 'Global' literal value.

  If the meaning of 'Global' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GLOBAL_LITERAL`, Constant Field Values

### RESOURCE

    public static final int RESOURCE

  The 'Resource' literal value.

  If the meaning of 'Resource' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RESOURCE_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<GenCacheAdapterScope> VALUES

  A public read-only list of all the 'Gen Cache Adapter Scope' enumerators.

Method Detail

### values

    public static final GenCacheAdapterScope[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GenCacheAdapterScope c : GenCacheAdapterScope.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GenCacheAdapterScope valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static GenCacheAdapterScope get(java.lang.String literal)

  Returns the 'Gen Cache Adapter Scope' literal with the specified literal value.

### getByName

    public static GenCacheAdapterScope getByName(java.lang.String name)

  Returns the 'Gen Cache Adapter Scope' literal with the specified name.

### get

    public static GenCacheAdapterScope get(int value)

  Returns the 'Gen Cache Adapter Scope' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<GenCacheAdapterScope>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.